#include<stdio.h>
#include<stdlib.h>
#include<time.h>

int *add_element(int *array, int index, int value)
{
    static unsigned int length;
    const unsigned int DELTA = 10;
    if(index>=length) {
        length += DELTA;
        int *new_array = realloc(array, length * sizeof(int));
        if(new_array!=NULL)
            array = new_array;
    }
    if(array!=NULL)
        array[index]=value;
    return array;
}

void print_array(const int *array, const unsigned int number_of_values)
{
    if(array) {
        printf("W tablicy znajduje się %u wartości.\n", number_of_values);
        for (int i = 0; i < number_of_values; i++)
            printf("%d ", array[i]);
        puts("");
    }
}

int main(void)
{
    int *array = NULL;
    srand(time(0));
    unsigned int number_of_values = 1000 + rand()%1001;
    for(int i=0; i<number_of_values; i++)
        array = add_element(array,i, -5+rand()%26);
    print_array(array, number_of_values);
    free(array);
    return 0;
}
