#include<stdio.h>
#include<stdlib.h>
#include<time.h>

int **create(const int rows, const int columns)
{
    int **matrix = (int **)calloc(rows,sizeof(int *));
    if(matrix) {
        for(int i=0; i<rows; i++)
            matrix[i] = (int *)calloc(columns,sizeof(int));
    }
    return matrix;
}

void fill(int **matrix, const int rows, const int columns)
{
    for(int i=0; i<rows; i++)
        for(int j=0; j<columns; j++)
            matrix[i][j] = -10+rand()%21;
}


void print(int **matrix, const int rows, const int columns)
{
    for(int i=0; i<rows; i++) {
        for (int j = 0; j < columns; j++)
            printf("%4d", matrix[i][j]);
        puts("");
    }

}

void release(int **matrix, const int rows)
{
    for(int i=0; i<rows; i++)
        free(matrix[i]);
    free(matrix);
}

int main(void)
{
    srand(time(0));
    puts("Proszę podać liczbę wierszy i kolumn.");
    puts("Wiersze?");
    int rows = 0;
    scanf("%d",&rows);
    puts("Kolumny?");
    int columns=0;
    scanf("%d",&columns);
    int **matrix = create(rows,columns);
    if(matrix) {
        fill(matrix,rows,columns);
        print(matrix, rows, columns);
        release(matrix, rows);
    }
    return 0;
}
